1. Surveys
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
    • Directory
      • Users List
      • Roles List
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
      • Surveys
        • Create Surveys
          POST
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
        • Post to Feed
        • Get Post Comments
        • Add Comments to Post
      • upload Media
        POST
    • Opportunities
      • Company and Services
        • Company and Services List
      • Fundaising Initiatives
        • Fundraising Initiatives List
      • Career Opportunities
        • Career Opportunities
    • Events
      • Event Post
      • Edit Events
      • Delete Event
      • Event List
    • Media Center
      • Get Resources
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Community Details
      GET
    • Spaces List
      GET
  • Webhooks
    • User Webhooks
      • user.joined
      • user.profile.updated
      • user.joined.space
    • Feed Webhooks
      • post.created
      • post.liked
      • post.unliked
      • comment.added
      • post.reported
  • References
    • Response Codes
      GET
    • Model Status
      GET
    • Post Types
      GET
  1. Surveys

Create Surveys

POST
https://backend.networked.co/api/v1/surveys

📋 Create a Survey#

Enables community owners to publish a multi-question survey with optional scheduling and discoverability control.

HTTP Method#

POST

Endpoint#

/api/v1/surveys

Headers#

NameTypeRequiredDescription
x-api-keyString✅ YesSecret API key provided by Networked. Required for all API calls.
spaceIdString❌ NoRequired only if the poll is intended for a Space. Otherwise, defaults to Community Feed.

Body Parameters#

NameTypeRequiredDescription
questionsArray✅ YesList of questions for the survey. Each question has headText, options, mandatoryFlag, and multipleSelectOptionFlag.
startTimeNumber✅ YesStart time for the survey in Unix timestamp (ms). Can be a future date to schedule it.
endTimeNumber✅ YesEnd time for the survey in Unix timestamp (ms).
communitiesArray✅ YesArray of community IDs where the survey will be posted.
hideFromDiscoverBoolean❌ NoIf true, hides the survey from being publicly discovered.

Sample Request#

{
  "questions": [
    {
      "headText": "Who will win the Asia Cup 2028 ?",
      "options": [
        { "text": "Bangladesh" },
        { "text": "China" },
        { "text": "India" }
      ],
      "mandatoryFlag": true,
      "multipleSelectOptionFlag": true
    },
    {
      "headText": "Who will score more centuries ?",
      "options": [
        { "text": "KL Rahul" },
        { "text": "Rishabh Pant" },
        { "text": "Shubman Gill" }
      ],
      "mandatoryFlag": false,
      "multipleSelectOptionFlag": false
    }
  ],
  "startTime": 1750825559000,
  "endTime": 1751005739000,
  "communities": ["67ce86c3d12a8800120030dd"],
  "hideFromDiscover": true
}

Sample Response#

{
  "data": {
    "surveyId": "685b7a9e43e21f0012ecb418",
    "status": 1
  },
  "error": false,
  "message": "Success"
}

Response Interface#


Response Field Descriptions#

FieldTypeDescription
surveyIdStringUnique identifier of the created survey.
statusNumberStatus of creation (1 usually indicates success).

Reference#

🔗 Response Codes

Notes#

The startTime parameter allows scheduling the survey for a future date and time.
multipleSelectOptionFlag lets you allow or restrict multiple answer selection per question.
Always provide a minimum of one question with at least two options.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.networked.co/api/v1/surveys' \
--header 'x-api-key: <your-api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "questions": [
        {
            "headText": "Who will win the Asia Cup 2028 ?",
            "options": [
                {
                    "text": "Bangladesh"
                },
                {
                    "text": "China"
                },
                {
                    "text": "India"
                }
            ],
            "mandatoryFlag": true,
            "multipleSelectOptionFlag": true
        },
        {
            "headText": "Who will score more centuries ?",
            "options": [
                {
                    "text": "KL Rahul"
                },
                {
                    "text": "Rishabh Pant"
                },
                {
                    "text": "Shubman Gill"
                }
            ],
            "mandatoryFlag": false,
            "multipleSelectOptionFlag": false
        }
    ],
    "startTime": 1750825559000,
    "endTime": 1751005739000,
    "communities": [
        "67959032bc6bea0012fdc671"
    ],
    "hideFromDiscover": true
}'
Response Response Example
{
    "data": {
        "surveyId": "6874eef8fa1f513a3cb94c5e",
        "status": 4
    },
    "error": false,
    "message": "Operation completed successfully"
}
Modified at 2026-05-15 11:10:18
Previous
Create Polls
Next
Ask and offer help
Built with